import { A1TableType } from "@/types";

// 初始化状态
const initState = {
  // 列表数据
  tableList: [] as A1TableType[],
};

// 定义 action 类型
type Props = {
  type: "A2/getList";
  payload: A1TableType[];
};

// 频道 reducer
export default function Reducer(state = initState, action: Props) {
  switch (action.type) {
    // 获取列表数据
    case "A2/getList":
      return { ...state, tableList: action.payload };

    default:
      return state;
  }
}
